Name:		puppet-eosclient
Version:	2.7
Release:	2%{?dist}
Summary:	Puppet module for configuring eos file system

Group:		CERN/Utilities
License:	BSD
URL:		http://linux.cern.ch
Source0:	%{name}-%{version}.tgz

BuildArch:  noarch

Requires:   puppet
Requires:   puppet-stdlib
Requires:   puppet-inifile
Requires:   logrotate
Requires:   epel-release

%description
Puppet module for configuring eos file system.

%prep
%setup -q

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/eosclient
install -d %{buildroot}/etc/locmap/code/environments/production/hieradata/modules/eosclient/
cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/eosclient/
cp  data/eosclient.yaml %{buildroot}/etc/locmap/code/environments/production/hieradata/modules/eosclient/eosclient.yaml
touch %{buildroot}/%{_datadir}/puppet/modules/eosclient/linuxsupport

%files -n puppet-eosclient
%dir /etc/locmap/code/environments/production/hieradata/modules/eosclient/
/etc/locmap/code/environments/production/hieradata/modules/eosclient/eosclient.yaml
%dir %{_datadir}/puppet/modules/eosclient
%dir %{_datadir}/puppet/modules/eosclient/files
%dir %{_datadir}/puppet/modules/eosclient/templates
%dir %{_datadir}/puppet/modules/eosclient/manifests
%dir %{_datadir}/puppet/modules/eosclient/manifests/fuse
%{_datadir}/puppet/modules/eosclient/linuxsupport
%{_datadir}/puppet/modules/eosclient/README.md
%{_datadir}/puppet/modules/eosclient/files/eos-fusebind.sh
%{_datadir}/puppet/modules/eosclient/files/eos-select.csh
%{_datadir}/puppet/modules/eosclient/files/eos-select.sh
%{_datadir}/puppet/modules/eosclient/files/eos-cleanup.sh
%{_datadir}/puppet/modules/eosclient/manifests/autofs.pp
%{_datadir}/puppet/modules/eosclient/manifests/fuse.pp
%{_datadir}/puppet/modules/eosclient/manifests/fuse/interactive.pp
%{_datadir}/puppet/modules/eosclient/manifests/init.pp
%{_datadir}/puppet/modules/eosclient/manifests/mount.pp
%{_datadir}/puppet/modules/eosclient/templates/auto.eos.erb
%{_datadir}/puppet/modules/eosclient/templates/sysconfig_eos.erb
%{_datadir}/puppet/modules/eosclient/templates/sysconfig_eos_instance.erb
%{_datadir}/puppet/modules/eosclient/spec/classes/init_spec.rb
%{_datadir}/puppet/modules/eosclient/spec/hiera.yaml
%{_datadir}/puppet/modules/eosclient/spec/spec_helper.rb
%{_datadir}/puppet/modules/eosclient/hiera.yaml
%{_datadir}/puppet/modules/eosclient/metadata.json
%{_datadir}/puppet/modules/eosclient/spec/hieradata/common.yaml
%{_datadir}/puppet/modules/eosclient/manifests/conf/eosxd.pp

%doc code/README.md


%changelog
* Mon Feb 15 2021 Ben Morrice <ben.morrice@cern.ch> - 2.7-2
- fix module dependencies

* Thu Feb 11 2021 Ben Morrice <ben.morrice@cern.ch> - 2.7-1
- move away from hiera lookups

* Tue Jan 05 2021 Ben Morrice <ben.morrice@cern.ch> - 2.6-1
- Build for el8

* Tue Jul 14 2020 Ben Morrice <ben.morrice@cern.ch> - 2.5-1
- do not install debuginfo packages

* Thu Jan 09 2020 Ben Morrice <ben.morrice@cern.ch> - 2.4-4
 - Build for el8

* Wed Dec 04 2019 Ben Morrice <ben.morrice@cern.ch> - 2.4-3
 - Add epel-release as a Requires, as eos now depends on epel
 
* Fri Jul 26 2019 Ben Morrice <ben.morrice@cern.ch> - 2.4-2
- RQF1360232: Add koji eos7-desktop repo to code/manifests.pp

* Fri Jul 19 2019 Ben Morrice <ben.morrice@cern.ch> - 2.4-1
- Rebase on it-puppet-module-eosclient commit 20949881

* Mon Nov 26 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.3-2
- Rebase on it-puppet-module-eosclient commit d8342e47

* Mon Jul 09 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.1-1
- Rebase on it-puppet-module-eosclient commit #26e9852

* Thu May 03 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-1
- Rebase on it-puppet-module-eosclient commit #db76af58

* Mon Oct 09 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.5-2
- Rebase on it-puppet-module-eosclient commit #dfbb8b3a
- Tested with eos fuse 4.1.30

* Tue Mar 07 2017 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.4-3
- Rebase on it-puppet-module-eosclient commit #6248ee10
- Add additional mounts point based on it-puppet-module-bagplus
- Cleanup some instance config

* Fri Dec 09 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-2
- Rebase on it-puppet-module-eosclient commit #2b67c9d6

* Fri Dec 09 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.3-1
- Rebase on it-puppet-module-eosclient commit efdddc6a

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Tue Jul 5 2016 Aris Boutselis <aris.boutselis@cern.ch>
-Initial release
